import { Emscripten } from '../types';
export * from '../constants';
export * as fs from '../modules/fs';
export * from '../modules/common';
export * from '../modules/io';
export * from '../modules/sample-consensus';
export * from '../modules/kdtree';
export * from '../modules/search';
export * from '../modules/filters';
export * from '../modules/keypoints';
export * from '../modules/segmentation';
export * from '../modules/registration';
declare let isInitialized: boolean;
interface InitOptions {
    /**
     * ArrayBuffer for pcl-core.wasm file.
     */
    arrayBuffer?: Emscripten.ModuleOpts['wasmBinary'];
    /**
     * URL for pcl-core.wasm file.
     */
    url?: string;
    /**
     * Override the default settings object used when fetching the Wasm module from the network.
     *
     * @default { credentials: 'same-origin' }
     */
    fetchOptions?: Emscripten.ModuleOpts['fetchSettings'];
    onsuccess?: () => void;
    onerror?: (error: unknown) => void;
}
declare function init(options?: InitOptions): Promise<void>;
declare function destroy(): void;
export { InitOptions, init, destroy, isInitialized };
