export declare class PointXY {
    x: number;
    y: number;
    private readonly _PointXY;
    constructor(x?: number, y?: number);
}
export declare class PointXYZ {
    x: number;
    y: number;
    z: number;
    private readonly _PointXYZ;
    constructor(x?: number, y?: number, z?: number);
}
export declare class PointXYZI {
    x: number;
    y: number;
    z: number;
    intensity: number;
    private readonly _PointXYZI;
    constructor(x?: number, y?: number, z?: number, intensity?: number);
}
export declare class PointXYZL {
    x: number;
    y: number;
    z: number;
    label: number;
    private readonly _PointXYZL;
    constructor(x?: number, y?: number, z?: number, label?: number);
}
export declare class InterestPoint {
    x: number;
    y: number;
    z: number;
    strength: number;
    private readonly _InterestPoint;
    constructor(x?: number, y?: number, z?: number, strength?: number);
}
export declare class PointXYZRGB {
    x: number;
    y: number;
    z: number;
    r: number;
    g: number;
    b: number;
    private readonly _PointXYZRGB;
    constructor(x?: number, y?: number, z?: number, r?: number, g?: number, b?: number);
}
export declare class PointXYZRGBA {
    x: number;
    y: number;
    z: number;
    r: number;
    g: number;
    b: number;
    a: number;
    private readonly _PointXYZRGBA;
    constructor(x?: number, y?: number, z?: number, r?: number, g?: number, b?: number, a?: number);
}
export declare class PointXYZRGBL {
    x: number;
    y: number;
    z: number;
    r: number;
    g: number;
    b: number;
    label: number;
    private readonly _PointXYZRGBL;
    constructor(x?: number, y?: number, z?: number, r?: number, g?: number, b?: number, label?: number);
}
export declare class Normal {
    normalX: number;
    normalY: number;
    normalZ: number;
    curvature: number;
    private readonly _Normal;
    constructor(normalX?: number, normalY?: number, normalZ?: number, curvature?: number);
}
export declare class PointNormal {
    x: number;
    y: number;
    z: number;
    normalX: number;
    normalY: number;
    normalZ: number;
    curvature: number;
    private readonly _PointNormal;
    constructor(x?: number, y?: number, z?: number, normalX?: number, normalY?: number, normalZ?: number, curvature?: number);
}
export declare class PointXYZLNormal {
    x: number;
    y: number;
    z: number;
    label: number;
    normalX: number;
    normalY: number;
    normalZ: number;
    curvature: number;
    private readonly _PointXYZLNormal;
    constructor(x?: number, y?: number, z?: number, label?: number, normalX?: number, normalY?: number, normalZ?: number, curvature?: number);
}
export declare class PointXYZINormal {
    x: number;
    y: number;
    z: number;
    intensity: number;
    normalX: number;
    normalY: number;
    normalZ: number;
    curvature: number;
    private readonly _PointXYZINormal;
    constructor(x?: number, y?: number, z?: number, intensity?: number, normalX?: number, normalY?: number, normalZ?: number, curvature?: number);
}
export declare class PointXYZRGBNormal {
    x: number;
    y: number;
    z: number;
    r: number;
    g: number;
    b: number;
    normalX: number;
    normalY: number;
    normalZ: number;
    curvature: number;
    private readonly _PointXYZRGBNormal;
    constructor(x?: number, y?: number, z?: number, r?: number, g?: number, b?: number, normalX?: number, normalY?: number, normalZ?: number, curvature?: number);
}
export declare class PointSurfel {
    x: number;
    y: number;
    z: number;
    normalX: number;
    normalY: number;
    normalZ: number;
    r: number;
    g: number;
    b: number;
    a: number;
    radius: number;
    confidence: number;
    curvature: number;
    private readonly _PointSurfel;
    constructor(x?: number, y?: number, z?: number, normalX?: number, normalY?: number, normalZ?: number, r?: number, g?: number, b?: number, a?: number, radius?: number, confidence?: number, curvature?: number);
}
export declare type PointTypes = PointXY | PointXYZ | PointXYZI | InterestPoint | PointXYZL | PointXYZRGB | PointXYZRGBA | PointXYZRGBL | Normal | PointNormal | PointXYZRGBNormal | PointXYZINormal | PointXYZLNormal | PointSurfel;
export declare type PointTypesTypeof = typeof PointXY | typeof PointXYZ | typeof PointXYZI | typeof InterestPoint | typeof PointXYZL | typeof PointXYZRGB | typeof PointXYZRGBA | typeof PointXYZRGBL | typeof Normal | typeof PointNormal | typeof PointXYZRGBNormal | typeof PointXYZINormal | typeof PointXYZLNormal | typeof PointSurfel;
export declare type XYZPointTypes = PointXYZ | PointXYZI | PointXYZL | PointXYZRGBA | PointXYZRGB | PointXYZRGBL | InterestPoint | PointNormal | PointXYZRGBNormal | PointXYZINormal | PointXYZLNormal | PointSurfel;
export declare type XYZPointTypesTypeof = typeof PointXYZ | typeof PointXYZI | typeof PointXYZL | typeof PointXYZRGBA | typeof PointXYZRGB | typeof PointXYZRGBL | typeof InterestPoint | typeof PointNormal | typeof PointXYZRGBNormal | typeof PointXYZINormal | typeof PointXYZLNormal | typeof PointSurfel;
export declare type XYZLPointTypes = PointXYZL | PointXYZRGBL | PointXYZLNormal;
export declare type RGBPointTypes = PointXYZRGB | PointXYZRGBA | PointXYZRGBL | PointXYZRGBNormal | PointSurfel;
export declare type NormalPointTypes = Normal | PointNormal | PointXYZRGBNormal | PointXYZINormal | PointXYZLNormal | PointSurfel;
export declare const pointTypeMap: {
    PointXY: typeof PointXY;
    PointXYZ: typeof PointXYZ;
    PointXYZI: typeof PointXYZI;
    InterestPoint: typeof InterestPoint;
    PointXYZL: typeof PointXYZL;
    PointXYZRGB: typeof PointXYZRGB;
    PointXYZRGBA: typeof PointXYZRGBA;
    PointXYZRGBL: typeof PointXYZRGBL;
    Normal: typeof Normal;
    PointNormal: typeof PointNormal;
    PointXYZRGBNormal: typeof PointXYZRGBNormal;
    PointXYZINormal: typeof PointXYZINormal;
    PointXYZLNormal: typeof PointXYZLNormal;
    PointSurfel: typeof PointSurfel;
};
