import { PointCloud } from '../../modules/common/PointCloud';
import { PointTypes, PointTypesTypeof, PointXYZ } from '../../modules/common/point-types';
import { readPCDHeader, PCDHeader } from './pcd-reader';
import { UnionToIntersection } from '../../types/utils';
declare function loadPCDFile<T extends PointTypes = PointXYZ & Partial<UnionToIntersection<PointTypes>>>(filename: string, _PT?: PointTypesTypeof): PointCloud<T>;
declare function savePCDFile(filename: string, cloud: PointCloud<PointTypes>, binaryMode?: boolean): boolean;
declare function savePCDFileASCII(filename: string, cloud: PointCloud<PointTypes>): boolean;
declare function savePCDFileBinary(filename: string, cloud: PointCloud<PointTypes>): boolean;
declare function savePCDFileBinaryCompressed(filename: string, cloud: PointCloud<PointTypes>): boolean;
declare function readPCDFileHeader(filename: string): PCDHeader | undefined;
declare function loadPCDData<T extends PointTypes = PointXYZ & Partial<UnionToIntersection<PointTypes>>>(data: ArrayBuffer, _PT?: PointTypesTypeof): PointCloud<T>;
declare function savePCDData(cloud: PointCloud<PointTypes>, binaryMode?: boolean): string | Uint8Array;
declare function savePCDDataASCII(cloud: PointCloud<PointTypes>): string | Uint8Array;
declare function savePCDDataBinary(cloud: PointCloud<PointTypes>): string | Uint8Array;
declare function savePCDDataBinaryCompressed(cloud: PointCloud<PointTypes>): string | Uint8Array;
export { loadPCDFile, savePCDFile, savePCDFileASCII, savePCDFileBinary, savePCDFileBinaryCompressed, readPCDFileHeader, loadPCDData, savePCDData, savePCDDataASCII, savePCDDataBinary, savePCDDataBinaryCompressed, readPCDHeader, PCDHeader, };
