interface PCDHeader {
    version: number;
    fields: string[];
    type: ('F' | 'I' | 'U')[];
    count: number[];
    size: number[];
    offset: number[];
    width: number;
    height: number;
    points: number;
    viewpoint: string;
    data: 'ascii' | 'binary' | 'binary_compressed';
}
/**
 * {@link https://github.com/mrdoob/three.js/blob/master/examples/jsm/loaders/PCDLoader.js}
 * {@link https://pointclouds.org/documentation/tutorials/pcd_file_format.html}
 *
 * @param buffer pcd file data
 * @returns pcd header
 */
declare function readPCDHeader(buffer: ArrayBuffer): PCDHeader | undefined;
export { PCDHeader, readPCDHeader };
