import KdTree from './KdTree';
import { Indices, Vector } from '../../modules/common/PointCloud';
import { XYZPointTypes, XYZPointTypesTypeof, PointXYZ } from '../../modules/common/point-types';
import { UnionToIntersection } from '../../types/utils';
declare class KdTreeFLANN<T extends XYZPointTypes = PointXYZ & Partial<UnionToIntersection<XYZPointTypes>>> extends KdTree<T> {
    constructor(_PT?: XYZPointTypesTypeof, sorted?: boolean);
    setSortedResults(sorted: boolean): void;
    setEpsilon(eps: number): void;
    nearestKSearch(point: T, k: number): {
        indices: Indices;
        distances: Vector<number>;
    };
    radiusSearch(point: T, radius: number, maxNN?: number): {
        indices: Indices;
        distances: Vector<number>;
    };
}
export default KdTreeFLANN;
