import { PointCloud, PointIndices } from '../../modules/common/PointCloud';
import { XYZPointTypes } from '../../modules/common/point-types';
import KdTree from '../../modules/kdtree/KdTree';
import PCLBase from '../../modules/common/PCLBase';
declare class Keypoint<T extends XYZPointTypes> extends PCLBase<T> {
    setSearchMethod(tree: KdTree<T>): void;
    getSearchMethod(): KdTree<T>;
    getSearchParameter(): number;
    getKeypointsIndices(): PointIndices;
    setKSearch(k: number): void;
    getKSearch(): number;
    setRadiusSearch(radius: number): void;
    getRadiusSearch(): number;
    compute(cloud: PointCloud<T>): void;
}
export default Keypoint;
