import { PointCloud } from '../../modules/common/PointCloud';
import { XYZPointTypes, XYZPointTypesTypeof, PointXYZ } from '../../modules/common/point-types';
import { UnionToIntersection } from '../../types/utils';
import { Emscripten } from '../../types';
declare class IterativeClosestPoint<T extends XYZPointTypes = PointXYZ & Partial<UnionToIntersection<XYZPointTypes>>> {
    _native: Emscripten.NativeAPI;
    constructor(_PT?: XYZPointTypesTypeof);
    setInputSource(cloud: PointCloud<T>): void;
    setInputTarget(cloud: PointCloud<T>): void;
    getFinalTransformation(): string | null;
    getFitnessScore(): number;
    hasConverged(): boolean;
    setUseReciprocalCorrespondences(useReciprocalCorrespondence: boolean): void;
    getUseReciprocalCorrespondences(): boolean;
    align(output?: PointCloud<T>): PointCloud<T>;
}
export default IterativeClosestPoint;
