import Search from './Search';
import { PointCloud, Indices, Vector } from '../../modules/common/PointCloud';
import { XYZPointTypes, XYZPointTypesTypeof, PointXYZ } from '../../modules/common/point-types';
import { UnionToIntersection } from '../../types/utils';
declare class KdTree<T extends XYZPointTypes = PointXYZ & Partial<UnionToIntersection<XYZPointTypes>>> extends Search<T> {
    constructor(_PT?: XYZPointTypesTypeof, sorted?: boolean);
    setSortedResults(sorted: boolean): void;
    setEpsilon(eps: number): void;
    setInputCloud(cloud: PointCloud<T>): void;
    nearestKSearch(point: T, k: number): {
        indices: Indices;
        distances: Vector<number>;
    };
    radiusSearch(point: T, radius: number, maxNN?: number): {
        indices: Indices;
        distances: Vector<number>;
    };
}
export default KdTree;
