import { PointCloud, Vector } from '../../modules/common/PointCloud';
import { XYZPointTypes, XYZPointTypesTypeof, PointXYZ, PointXYZRGB } from '../../modules/common/point-types';
import { UnionToIntersection, Emscripten } from '../../types';
import PCLBase from '../../modules/common/PCLBase';
declare class MinCutSegmentation<T extends XYZPointTypes = PointXYZ & Partial<UnionToIntersection<XYZPointTypes>>> extends PCLBase<T> {
    _native: Emscripten.NativeAPI;
    constructor(PT?: XYZPointTypesTypeof);
    setSigma(sigma: number): void;
    getSigma(): number;
    setRadius(radius: number): void;
    getRadius(): number;
    setSourceWeight(weight: number): void;
    getSourceWeight(): number;
    setSearchMethod(tree: string | null): void;
    getSearchMethod(): string | null;
    setNumberOfNeighbours(neighbourNumber: number): void;
    getNumberOfNeighbours(): number;
    setForegroundPoints(cloud: PointCloud<T>): void;
    getForegroundPoints(): import("../../modules/common/PointCloud").Points<T>;
    setBackgroundPoints(cloud: PointCloud<T>): void;
    getBackgroundPoints(): import("../../modules/common/PointCloud").Points<T>;
    extract(): Vector<unknown>;
    getMaxFlow(): number;
    getColoredCloud(): PointCloud<PointXYZRGB>;
}
export default MinCutSegmentation;
